## desktop-base-trinity 3.5.13.2-0debian6.0.0%2B0

=== debian/changelog ===
desktop-base-trinity (4:3.5.13.2-0debian6.0.0+0) squeeze; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Jun 2013 17:33:29 +0200

desktop-base-trinity (5.0.3-8) squeeze; urgency=low

  * Fix gnome conflicts

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 18 Jan 2012 11:08:00 -0600

desktop-base-trinity (5.0.3-6) squeeze; urgency=low

  * Trinity build

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 05 Jul 2010 13:55:00 -0600

desktop-base (5.0.2) unstable; urgency=low

  * moreblue-orbit-wallpaper-widescreen.svg updated, fix a “transparent”
  * horizontal line on top.
  * debian/rules:
    - install splashy themes in /usr/share instead of /etc.     closes: #501315
  * debian/postinst, debian/prerm
    - move properly /etc/splashy/ conffiles to /usr/share/splashy.

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 24 Oct 2008 00:23:57 +0200

desktop-base (5.0.1) unstable; urgency=low

  [ Yves-Alexis Perez ]
  * Update my email address in Uploaders:
  * Relabel background as “Lenny” in GNOME properties. (Closes: #495613)
  * Add MoreBlue Orbit widescreen as svg and add it to alternatives.

  [ Fathi Boudra ]
  * Merge wallpapers and backgrounds directories.
  * Remove deprecated splash and wallpapers:
    - debblue-1600x1200.png
    - bluedeb-1024x768.jpg
    - Debian.jpg
    - debian-background.svg
    - Splash-debblue.png
    - Splash-Debian.png
    - Splash-Debian_red.png
  * Add MoreBlue Orbit grub and splash sources.
  * Add MoreBlue Orbit widescreen.
  * Add Nightly sources.
  * Add MoreBlue Orbit Splashy theme. (Closes: #495618)
  * Add Nightly GNOME and KDM splash. Thanks to Robert Jahene.

 -- Fathi Boudra <fabo@debian.org>  Fri, 26 Sep 2008 00:49:22 +0200

desktop-base (5.0.0) unstable; urgency=low

  * Bump Standards-Version to 3.8.0 (no changes needed).
  * Add Lenny artwork: MoreBlue Orbit.
    Thanks to Andre L. R. Ferreira and Valessio S. Brito.
  * Add Nightly artwork. Thanks to Robert Jahene.
  * Use alternative to provide desktop-grub.

 -- Fathi Boudra <fabo@debian.org>  Thu, 14 Aug 2008 09:41:06 +0200

desktop-base (4.0.7) unstable; urgency=low

  * Replace 640x480 TGA version of debian-blueish-wallpaper.svg by a PNG for
    GRUB 2. (Closes: #465087)

 -- Fathi Boudra <fabo@debian.org>  Mon, 11 Feb 2008 14:06:52 +0100

desktop-base (4.0.6) unstable; urgency=low

  * Move update-grub2 hook to postrm instead of prerm.
  * Bump compat/debhelper to 6.
  * Add Vcs-Browser and Vcs-Svn fields.

 -- Fathi Boudra <fabo@debian.org>  Mon, 14 Jan 2008 14:44:26 +0100

desktop-base (4.0.5) unstable; urgency=low

  [ Fathi Boudra ]
  * Bump Standards-Version to 3.7.3.
  * Add Homepage field.
  * Remove DM-Upload-Allowed: yes; All Uploaders are DD.
  * Update kdm theme for KDE 4.
  * Use zoom option instead of scaled option in gnome background.
    (Closes: #439838)
  * Update Makefile to fix wrong permissions on
    /usr/share/gnome-background-properties. (Closes: #452425)
  * Provide 640x480 TGA version of debian-blueish-wallpaper.svg for GRUB 2.
    Thanks to Robert Millan (Closes: #459352)

  [ Loic Minier ]
  * Also use zoom (instead of stretched) for the default wallpaper.

 -- Fathi Boudra <fabo@debian.org>  Wed, 09 Jan 2008 11:08:23 +0100

desktop-base (4.0.4) unstable; urgency=low

  [ Fathi Boudra ]
  * Make a copy of GdmGreeterTheme.desktop to KdmGreeterTheme.desktop:
    * KDE3 search for GdmGreeterTheme.desktop
    * KDE4 search for KdmGreeterTheme.desktop

  [ Loic Minier ]
  * Set DM-Upload-Allowed: yes; rock on Fathi!
  * Wrap build-deps and uploaders.
  * Cosmetic cleanups.

 -- Loic Minier <lool@dooz.org>  Fri, 23 Nov 2007 11:40:38 +0100

desktop-base (4.0.3) unstable; urgency=low

  * Fix kde default wallpaper appearance between kdm to ksplash switch.

 -- Fathi Boudra <fboudra@free.fr>  Thu, 24 May 2007 01:22:06 +0200

desktop-base (4.0.2) unstable; urgency=low

  * Fix dir_config path in kdeglobals and kdesktoprc doesn't support symlink.
    (Closes: #422043)

 -- Fathi Boudra <fboudra@free.fr>  Wed, 16 May 2007 14:59:27 +0200

desktop-base (4.0.1) unstable; urgency=high

  [ Fathi Boudra ]
  * Re-enable kdm override; this issue will be fixed on KDM init script.

  [ Loic Minier ]
  * Merge 4.0.0.1 and upload to unstable.

 -- Loic Minier <lool@dooz.org>  Thu, 22 Feb 2007 20:03:44 +0100

desktop-base (4.0.0.1) experimental; urgency=high

  [ Fathi Boudra ]
  * Fix KSplash theme moodin engine installation.
  * Fix MoreBlue KDM theme. Thanks to Modestas Vainius.
    (Closes: #408513, #408947)
  * KDM override is disabled by default. (Closes: #407799)
  * Fixed default SVG wallpaper reverting to previous image.
    (Closes: #407930)

  [ Loic Minier ]
  * Depend on librsvg2-common for SVG support.

 -- Gustavo Franco <stratus@debian.org>  Tue, 30 Jan 2007 17:08:41 -0200

desktop-base (4.0.0) unstable; urgency=low

  [ Fathi Boudra ]
  * Add icon-session and icon-reboot to MoreBlue KDM Theme like GDM Theme.

  [ Loic Minier ]
  * Bump up version to 4.0; etch.

 -- Loic Minier <lool@dooz.org>  Mon, 11 Dec 2006 20:59:38 +0100

desktop-base (0.3.22) unstable; urgency=low

  * New GNOME wallpaper description; only holds the default GNOME wallpaper
    for now; thanks Martin-Éric Racine; closes: #333457.

 -- Loic Minier <lool@dooz.org>  Mon, 11 Dec 2006 18:02:02 +0100

desktop-base (0.3.21) unstable; urgency=high

  [ Gustavo Franco ]
  * debian/control:
    - Set Maintainer field to me.
    - Set Uploaders to current debian-desktop members.
  * debian/control.in: removed

  [ Loic Minier ]
  * Drop uploaders rule and gnome-pkg-tools build-dep.

  [ Fathi Boudra ]
  * Fix debian-background.svg and debian-blueish-wallpaper.svg for KDE.
  * Rename kde directory to kde-profile. More consistent with KIOSK Framework.
  * Add kdeglobals support.
  * Add Debian MoreBlue KDM Theme.
  * Add Debian MoreBlue KSplash Theme (Default and Moodin engine).

  [ Loic Minier ]
  * Urgency high for etch's KDE artwork.



## desktop-base-trinity 3.5.13.2-0debian7.0.0%2B0

=== Makefile ===
DEFAULT_BACKGROUND=desktop-background

INSTALL=install -m 0644
BACKGROUNDS=$(wildcard backgrounds/*.png backgrounds/*.jpg backgrounds/*.svg backgrounds/*.tga)
EMBLEMS=$(wildcard emblems/*png emblems/*icon)
SPLASH=$(wildcard splash/*.png)
PIXMAPS=$(wildcard pixmaps/*.png)
DESKTOPFILES=$(wildcard *.desktop)

all:
#	make -C usplash/moreblue-orbit

clean:
#	make -C usplash/moreblue-orbit clean

install:
	# splashy theme
	mkdir -p $(DESTDIR)/usr/share/splashy/themes/moreblue-orbit
	$(INSTALL) $(wildcard splashy/moreblue-orbit/*) $(DESTDIR)/usr/share/splashy/themes/moreblue-orbit
	# usplash theme
#	make -C usplash/moreblue-orbit install DESTDIR=$(CURDIR)/debian/usplash-theme-debian-desktop/usr/lib/usplash
	# background files
	mkdir -p $(DESTDIR)/usr/share/images/desktop-base
	$(INSTALL) $(BACKGROUNDS) $(DESTDIR)/usr/share/images/desktop-base
	cd $(DESTDIR)/usr/share/images/desktop-base && ln -s $(DEFAULT_BACKGROUND) default
	# splash files
	$(INSTALL) $(SPLASH) $(DESTDIR)/usr/share/images/desktop-base
	# emblems
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/48x48/emblems
	$(INSTALL) $(EMBLEMS) $(DESTDIR)/usr/share/icons/hicolor/48x48/emblems/
	# desktop files
	mkdir -p $(DESTDIR)/usr/share/desktop-base
	$(INSTALL) $(DESKTOPFILES) $(DESTDIR)/usr/share/desktop-base/
	# pixmaps files
	mkdir -p $(DESTDIR)/usr/share/pixmaps
	$(INSTALL) $(PIXMAPS) $(DESTDIR)/usr/share/pixmaps/
	# KDM theme
	mkdir -p $(DESTDIR)/etc/default/kdm.d
	$(INSTALL) kdm-theme/kdm.d/10_desktop-base $(DESTDIR)/etc/default/kdm.d
	mkdir -p $(DESTDIR)/usr/share/apps/kdm/themes/debian-moreblue
	$(INSTALL) $(wildcard kdm-theme/debian-moreblue/*) $(DESTDIR)/usr/share/apps/kdm/themes/debian-moreblue
	mkdir -p $(DESTDIR)/usr/share/apps/kdm/themes/moreblue-orbit
	$(INSTALL) $(wildcard kdm-theme/moreblue-orbit/*) $(DESTDIR)/usr/share/apps/kdm/themes/moreblue-orbit
	mkdir -p $(DESTDIR)/usr/share/apps/kdm/themes/nightly
	$(INSTALL) $(wildcard kdm-theme/nightly/*) $(DESTDIR)/usr/share/apps/kdm/themes/nightly
	# KSPLASH theme
	mkdir -p $(DESTDIR)/usr/share/apps/ksplash/Themes/debian-moreblue-default
	$(INSTALL) $(wildcard ksplash-theme/debian-moreblue-default/*) $(DESTDIR)/usr/share/apps/ksplash/Themes/debian-moreblue-default
	mkdir -p $(DESTDIR)/usr/share/apps/ksplash/Themes/debian-moreblue-moodin
	$(INSTALL) $(wildcard ksplash-theme/debian-moreblue-moodin/*) $(DESTDIR)/usr/share/apps/ksplash/Themes/debian-moreblue-moodin
	mkdir -p $(DESTDIR)/usr/share/apps/ksplash/Themes/moreblue-orbit-default
	$(INSTALL) $(wildcard ksplash-theme/moreblue-orbit-default/*) $(DESTDIR)/usr/share/apps/ksplash/Themes/moreblue-orbit-default
	mkdir -p $(DESTDIR)/usr/share/apps/ksplash/Themes/moreblue-orbit-moodin
	$(INSTALL) $(wildcard ksplash-theme/moreblue-orbit-moodin/*) $(DESTDIR)/usr/share/apps/ksplash/Themes/moreblue-orbit-moodin
	mkdir -p $(DESTDIR)/usr/share/apps/ksplash/Themes/nightly-default
	$(INSTALL) $(wildcard ksplash-theme/nightly-default/*) $(DESTDIR)/usr/share/apps/ksplash/Themes/nightly-default
	mkdir -p $(DESTDIR)/usr/share/apps/ksplash/Themes/nightly-moodin
	$(INSTALL) $(wildcard ksplash-theme/nightly-moodin/*) $(DESTDIR)/usr/share/apps/ksplash/Themes/nightly-moodin
	# KDE setup
	mkdir -p $(DESTDIR)/etc/trinity
	$(INSTALL) profiles/kde-profile/kdeglobals $(DESTDIR)/etc/trinity
	mkdir -p $(DESTDIR)/etc/trinity/kdm
	$(INSTALL) profiles/kde-profile/kdm/backgroundrc $(DESTDIR)/etc/trinity/kdm
	mkdir -p $(DESTDIR)/usr/share/desktop-base/profiles/kde-profile/share/config
	$(INSTALL) $(wildcard profiles/kde-profile/share/config/*) $(DESTDIR)/usr/share/desktop-base/profiles/kde-profile/share/config
	# XFCE setup; uses the more general XDG
	mkdir -p $(DESTDIR)/usr/share/desktop-base/profiles/xdg-config/xfce4/mcs_settings
	$(INSTALL) $(wildcard profiles/xdg-config/xfce4/mcs_settings/*) $(DESTDIR)/usr/share/desktop-base/profiles/xdg-config/xfce4/mcs_settings
	mkdir -p $(DESTDIR)/usr/share/desktop-base/profiles/xdg-config/xfce4-session
	$(INSTALL) $(wildcard profiles/xdg-config/xfce4-session/*) $(DESTDIR)/usr/share/desktop-base/profiles/xdg-config/xfce4-session
	# GNOME background descriptor
	mkdir -p $(DESTDIR)/usr/share/gnome-background-properties
	$(INSTALL) gnome-backgrounds.xml $(DESTDIR)/usr/share/gnome-background-properties/debian.xml

=== debian/changelog ===
desktop-base-trinity (4:3.5.13.2-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Jun 2013 17:33:29 +0200

=== debian/control ===
Source: desktop-base-trinity
Section: x11
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Uploaders: Loïc Minier <lool@dooz.org>,
           Fathi Boudra <fabo@debian.org>,
           Yves-Alexis Perez <corsac@debian.org>
Build-Depends: cdbs, debhelper (>= 6), quilt
# libusplash-dev, imagemagick, librsvg2-bin
Standards-Version: 3.8.3

Package: desktop-base-trinity
Architecture: all
Depends: librsvg2-common
Suggests: kde-trinity
Conflicts: desktop-base
Provides: desktop-base
Description: common files for the Debian Desktop [Trinity]
 This package contains various miscellaneous files which are used by
 Debian Desktop installations.  Currently, it provides some
 Debian-related artwork and themes, .desktop files containing links to
 Debian related material (suitable for placement on a user's desktop),
 and other common files between the available desktop environments
 such as GNOME and KDE.

#Package: usplash-theme-debian-desktop-trinity
#Section: misc
#Architecture: amd64 i386 powerpc sparc
#Depends: ${shlibs:Depends}, usplash
#Provides: usplash-theme
#Description: Debian Desktop usplash theme [Trinity]
# This package contains an usplash theme based on Debian Desktop project.
# .
# See http://wiki.debian.org/DebianDesktopArtwork for more details.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/buildcore.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

# needed for usplash
CFLAGS += -fPIC

DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(CURDIR)/debian/desktop-base-trinity/

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

binary-fixup/desktop-base-trinity::
	dh_gconf --priority=15

## desktop-base-trinity 14.1.1

=== debian/changelog ===
desktop-base-trinity (4:14.1.1-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#desktop-base

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 14 Sep 2023 08:44:57 +0200

## desktop-base-trinity 14.1.3

=== debian/changelog ===
desktop-base-trinity (4:14.1.3-0raspbian10.0.0+0) raspbian-buster; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#desktop-base

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 05 Nov 2023 15:50:53 +0100

## desktop-base-trinity 14.1.4

=== debian/changelog ===
desktop-base-trinity (4:14.1.4-0raspbian12.0.0+0) raspbian-bookworm; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#desktop-base

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 05 Nov 2023 15:50:53 +0100

## desktop-base-trinity 14.1.5~pre0

=== debian/changelog ===
desktop-base-trinity (4:14.1.5~pre0-0raspbian13.0.0+0~a) raspbian-trixie; urgency=low

  * Automated git build for 0809dd93e0cf688a3077c24c0ea8e2a76c839883
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#desktop-base

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 05 Nov 2023 15:50:53 +0100

## desktop-base-trinity 14.1.5

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,7 @@
 SPLASH=$(wildcard splash/*.png)
 PIXMAPS=$(wildcard pixmaps/*.png)
 DESKTOPFILES=$(wildcard *.desktop)
+SKELETON_DIR = $(DESTDIR)/etc/skel
 
 all:
 #	make -C usplash/moreblue-orbit
@@ -34,15 +35,15 @@
 	# pixmaps files
 	mkdir -p $(DESTDIR)/usr/share/pixmaps
 	$(INSTALL) $(PIXMAPS) $(DESTDIR)/usr/share/pixmaps/
-	# KDM theme
-	mkdir -p $(DESTDIR)/etc/default/kdm.d
-	$(INSTALL) kdm-theme/kdm.d/10_desktop-base $(DESTDIR)/etc/default/kdm.d
-	mkdir -p $(DESTDIR)/usr/share/apps/kdm/themes/debian-moreblue
-	$(INSTALL) $(wildcard kdm-theme/debian-moreblue/*) $(DESTDIR)/usr/share/apps/kdm/themes/debian-moreblue
-	mkdir -p $(DESTDIR)/usr/share/apps/kdm/themes/moreblue-orbit
-	$(INSTALL) $(wildcard kdm-theme/moreblue-orbit/*) $(DESTDIR)/usr/share/apps/kdm/themes/moreblue-orbit
-	mkdir -p $(DESTDIR)/usr/share/apps/kdm/themes/nightly
-	$(INSTALL) $(wildcard kdm-theme/nightly/*) $(DESTDIR)/usr/share/apps/kdm/themes/nightly
+	# TDM theme
+	mkdir -p $(DESTDIR)/etc/default/tdm.d
+	$(INSTALL) tdm-theme/tdm.d/10_desktop-base $(DESTDIR)/etc/default/tdm.d
+	mkdir -p $(DESTDIR)/usr/share/apps/tdm/themes/debian-moreblue
+	$(INSTALL) $(wildcard tdm-theme/debian-moreblue/*) $(DESTDIR)/usr/share/apps/tdm/themes/debian-moreblue
+	mkdir -p $(DESTDIR)/usr/share/apps/tdm/themes/moreblue-orbit
+	$(INSTALL) $(wildcard tdm-theme/moreblue-orbit/*) $(DESTDIR)/usr/share/apps/tdm/themes/moreblue-orbit
+	mkdir -p $(DESTDIR)/usr/share/apps/tdm/themes/nightly
+	$(INSTALL) $(wildcard tdm-theme/nightly/*) $(DESTDIR)/usr/share/apps/tdm/themes/nightly
 	# KSPLASH theme
 	mkdir -p $(DESTDIR)/usr/share/apps/ksplash/Themes/debian-moreblue-default
 	$(INSTALL) $(wildcard ksplash-theme/debian-moreblue-default/*) $(DESTDIR)/usr/share/apps/ksplash/Themes/debian-moreblue-default
@@ -56,13 +57,13 @@
 	$(INSTALL) $(wildcard ksplash-theme/nightly-default/*) $(DESTDIR)/usr/share/apps/ksplash/Themes/nightly-default
 	mkdir -p $(DESTDIR)/usr/share/apps/ksplash/Themes/nightly-moodin
 	$(INSTALL) $(wildcard ksplash-theme/nightly-moodin/*) $(DESTDIR)/usr/share/apps/ksplash/Themes/nightly-moodin
-	# KDE setup
+	# TDE setup
 	mkdir -p $(DESTDIR)/etc/trinity
-	$(INSTALL) profiles/kde-profile/kdeglobals $(DESTDIR)/etc/trinity
-	mkdir -p $(DESTDIR)/etc/trinity/kdm
-	$(INSTALL) profiles/kde-profile/kdm/backgroundrc $(DESTDIR)/etc/trinity/kdm
-	mkdir -p $(DESTDIR)/usr/share/desktop-base/profiles/kde-profile/share/config
-	$(INSTALL) $(wildcard profiles/kde-profile/share/config/*) $(DESTDIR)/usr/share/desktop-base/profiles/kde-profile/share/config
+	$(INSTALL) profiles/tde-profile/tdeglobals $(DESTDIR)/etc/trinity
+	mkdir -p $(DESTDIR)/etc/trinity/tdm
+	$(INSTALL) profiles/tde-profile/tdm/backgroundrc $(DESTDIR)/etc/trinity/tdm
+	mkdir -p $(DESTDIR)/usr/share/desktop-base/profiles/tde-profile/share/config
+	$(INSTALL) $(wildcard profiles/tde-profile/share/config/*) $(DESTDIR)/usr/share/desktop-base/profiles/tde-profile/share/config
 	# XFCE setup; uses the more general XDG
 	mkdir -p $(DESTDIR)/usr/share/desktop-base/profiles/xdg-config/xfce4/mcs_settings
 	$(INSTALL) $(wildcard profiles/xdg-config/xfce4/mcs_settings/*) $(DESTDIR)/usr/share/desktop-base/profiles/xdg-config/xfce4/mcs_settings
@@ -71,4 +72,8 @@
 	# GNOME background descriptor
 	mkdir -p $(DESTDIR)/usr/share/gnome-background-properties
 	$(INSTALL) gnome-backgrounds.xml $(DESTDIR)/usr/share/gnome-background-properties/debian.xml
+	# Compositor control files
+	mkdir -p "$(SKELETON_DIR)"
+	$(INSTALL) kompmgr-rc-files/xcompmgrrc "$(SKELETON_DIR)/.xcompmgrrc"
+	$(INSTALL) kompmgr-rc-files/compton-tde.conf "$(SKELETON_DIR)/.compton-tde.conf"

=== debian/changelog ===
desktop-base-trinity (4:14.1.5-0raspbian13.0.0+0) raspbian-trixie; urgency=low

  * Automated git build for r14.1.4-544-g93dd2e531
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#desktop-base

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 05 Nov 2023 15:50:53 +0100

## desktop-base-trinity 14.1.6~pre0

=== debian/changelog ===
desktop-base-trinity (4:14.1.6~pre0-0debian14.0.0+0~a) forky; urgency=low

  * Automated git build for 0809dd93e0cf688a3077c24c0ea8e2a76c839883
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#desktop-base

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 05 Nov 2023 15:50:53 +0100

## desktop-base-trinity 14.2.0~s1

=== debian/changelog ===
desktop-base-trinity (4:14.2.0~s1-0debian14.0.0+2~a) forky; urgency=low

  * Automated git build for r14.1.0-8199-gfc6079ce6
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#desktop-base

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 05 Nov 2023 12:38:05 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/buildcore.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

pre-build:: debian/stamp-distrospecific

debian/stamp-distrospecific:
	dh_testdir
	[ -e debian/stamp-distrospecific ] || \
	ls -a1 debian/distrospecific | grep -v "^\.*$$" | \
	tee debian/stamp-distrospecific | \
	tr "\n" "\0" | (cd debian/distrospecific && xargs -r0 mv -t ../..)

clean::
	dh_testdir
	[ ! -e debian/stamp-distrospecific ] || \
	cat debian/stamp-distrospecific | \
	tr "\n" "\0" | xargs -r0 mv -t debian/distrospecific
	rm -f debian/stamp-distrospecific

# needed for usplash
CFLAGS += -fPIC

DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(CURDIR)/debian/desktop-base-trinity/

binary-fixup/desktop-base::
	dh_gconf --priority=15
